Bug 229243 - Crash after adding and upon startup the next time [Amarok2ConfigDialog::updateSettings]
Summary: Crash after adding and upon startup the next time [Amarok2ConfigDialog::updat...
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.3.1
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 244520 250666 256629 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-03 13:19 UTC by José Alejandro Carrillo Neira
Modified: 2011-04-02 18:22 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description José Alejandro Carrillo Neira 2010-03-03 13:19:09 UTC
Application that crashed: amarok
Version of the application: 2.2.2
KDE Version: 4.3.4 (KDE 4.3.4)
Qt Version: 4.5.3
Operating System: Linux 2.6.32-trunk-amd64 x86_64
Distribution: Debian GNU/Linux testing (squeeze)

What I was doing when the application crashed:
After I added the library folder, amarok crashed without a message, other than the Crash Handler.

This has already happened with another music player, minirok, and I believe this might as well be related to GStreamer, because rhythmbox refuses to play m4a files, blaming a failure to negotiate with GStreamer.

My music library is mainly composed of m4a files, lossless, and a lot of them are named with Japanese characters. I don't think it could be related, but I'm adding it anyway, just in case.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7ff97c692770 (LWP 15525))]

Thread 14 (Thread 0x7ff95d26c910 (LWP 15526)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007ff9632cfe31 in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7ff95b710910 (LWP 15527)):
#0  0x00007ff97970a743 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff972d850ac in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff972d853f0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff97ac4b3b6 in QEventDispatcherGlib::processEvents (this=0x2875090, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#4  0x00007ff97ac21562 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff97ac21934 in QEventLoop::exec (this=0x7ff95b70ffe0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007ff97ab3a5a8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007ff96352aaec in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x2910a20) at thread/qthread_unix.cpp:188
#9  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 12 (Thread 0x7ff95ad06910 (LWP 15530)):
#0  0x00007ff97970a743 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff95ad0cb4e in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 11 (Thread 0x7ff95a505910 (LWP 15531)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff9632e08eb in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ff9598fb910 (LWP 15532)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff9632e08eb in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 9 (Thread 0x7ff9590fa910 (LWP 15533)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff9632e08eb in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ff9588f9910 (LWP 15534)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff9632e08eb in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ff953097910 (LWP 15540)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff97ab3e499 in QWaitConditionPrivate::wait (this=0x2c50ae0, mutex=0x2c50ae8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x2c50ae0, mutex=0x2c50ae8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff9535864b9 in XmlParseJob::run (this=0x2c50aa0) at ../../../../src/collection/sqlcollection/ScanManager.cpp:671
#4  0x00007ff97731467d in ThreadWeaver::JobRunHelper::runTheJob (this=0x7ff953096fa0, th=0x2d78d40, job=0x2c50aa0) at ../../../threadweaver/Weaver/Job.cpp:106
#5  0x00007ff97731497e in ThreadWeaver::Job::execute (this=0x2c50aa0, th=0x2d78d40) at ../../../threadweaver/Weaver/Job.cpp:135
#6  0x00007ff9773139ef in ThreadWeaver::ThreadRunHelper::run (this=0x7ff953097030, parent=0x2d4d720, th=0x2d78d40) at ../../../threadweaver/Weaver/Thread.cpp:95
#7  0x00007ff977313f88 in ThreadWeaver::Thread::run (this=0x2d78d40) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x2d78d40) at thread/qthread_unix.cpp:188
#9  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff94c514910 (LWP 15541)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff97ab3e499 in QWaitConditionPrivate::wait (this=0x2d4d748, mutex=0x2e0a230, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x2d4d748, mutex=0x2e0a230, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff9773132e6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2d4d720, th=0x7ff954447290) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff97731537b in ThreadWeaver::WorkingHardState::applyForWork (this=0x284bf30, th=0x7ff954447290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff977313a1f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff94c514030, parent=0x2d4d720, th=0x7ff954447290) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ff977313f88 in ThreadWeaver::Thread::run (this=0x7ff954447290) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x7ff954447290) at thread/qthread_unix.cpp:188
#8  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff94bd13910 (LWP 15542)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff97ab3e499 in QWaitConditionPrivate::wait (this=0x2d4d748, mutex=0x2e0a230, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x2d4d748, mutex=0x2e0a230, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff9773132e6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2d4d720, th=0x2500140) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff97731537b in ThreadWeaver::WorkingHardState::applyForWork (this=0x284bf30, th=0x2500140) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff977313a1f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff94bd13030, parent=0x2d4d720, th=0x2500140) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ff977313f88 in ThreadWeaver::Thread::run (this=0x2500140) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x2500140) at thread/qthread_unix.cpp:188
#8  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff94ab09910 (LWP 15548)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff97ab3e499 in QWaitConditionPrivate::wait (this=0x2d4d748, mutex=0x2e0a230, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x2d4d748, mutex=0x2e0a230, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff9773132e6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2d4d720, th=0x2e38290) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff97731537b in ThreadWeaver::WorkingHardState::applyForWork (this=0x284bf30, th=0x2e38290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff977315394 in ThreadWeaver::WorkingHardState::applyForWork (this=0x284bf30, th=0x2e38290) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007ff977313a1f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff94ab09030, parent=0x2d4d720, th=0x2e38290) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007ff977313f88 in ThreadWeaver::Thread::run (this=0x2e38290) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x2e38290) at thread/qthread_unix.cpp:188
#9  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff94a288910 (LWP 15579)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007ff97ab3e499 in QWaitConditionPrivate::wait (this=0x556fae8, mutex=0x556fae0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=0x556fae8, mutex=0x556fae0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007ff97a55feee in QFileInfoGatherer::run (this=0x556fad0) at dialogs/qfileinfogatherer.cpp:207
#4  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x556fad0) at thread/qthread_unix.cpp:188
#5  0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff94509a910 (LWP 15580)):
#0  __pthread_mutex_lock (mutex=0x55b44a8) at pthread_mutex_lock.c:47
#1  0x00007ff972d8498f in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007ff972d84ec1 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007ff972d853f0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007ff97ac4b3b6 in QEventDispatcherGlib::processEvents (this=0x5578b50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#5  0x00007ff97ac21562 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007ff97ac21934 in QEventLoop::exec (this=0x7ff945099ff0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007ff97ab3a5a8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007ff97ac05498 in QInotifyFileSystemWatcherEngine::run (this=0x5570910) at io/qfilesystemwatcher_inotify.cpp:214
#9  0x00007ff97ab3d4a5 in QThreadPrivate::start (arg=0x5570910) at thread/qthread_unix.cpp:188
#10 0x00007ff9745c573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007ff97971569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff97c692770 (LWP 15525)):
[KCrash Handler]
#5  0x00007ff97b5a229d in Amarok2ConfigDialog::updateSettings (this=<value optimized out>) at ../../src/configdialog/ConfigDialog.cpp:136
#6  0x00007ff97c021df1 in KConfigDialog::qt_metacall (this=0x559f7c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc9c1e3b0) at ./kconfigdialog.moc:85
#7  0x00007ff97b5a6f15 in Amarok2ConfigDialog::qt_metacall (this=0x55c9480, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x27e7b0) at ./ConfigDialog.moc:67
#8  0x00007ff97ac37df2 in QMetaObject::activate (sender=0x559f7c0, from_signal_index=<value optimized out>, to_signal_index=45, argv=0x27e7b0) at kernel/qobject.cpp:3112
#9  0x00007ff97c032a68 in KDialog::slotButtonClicked (this=0x559f7c0, button=4) at ../../kdeui/dialogs/kdialog.cpp:853
#10 0x00007ff97c034c79 in KDialog::qt_metacall (this=0x559f7c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc9c1e5f0) at ./kdialog.moc:184
#11 0x00007ff97c0e8980 in KPageDialog::qt_metacall (this=0x55c9480, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x27e7b0) at ./kpagedialog.moc:64
#12 0x00007ff97c021d30 in KConfigDialog::qt_metacall (this=0x55c9480, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x27e7b0) at ./kconfigdialog.moc:78
#13 0x00007ff97b5a6f15 in Amarok2ConfigDialog::qt_metacall (this=0x55c9480, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x27e7b0) at ./ConfigDialog.moc:67
#14 0x00007ff97ac37df2 in QMetaObject::activate (sender=0x55a2338, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x27e7b0) at kernel/qobject.cpp:3112
#15 0x00007ff97ac3aa6e in QSignalMapper::mapped (this=0x55c9480, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:95
#16 0x00007ff97ac3b310 in QSignalMapper::map (this=0x55a2338, sender=0x55a39b0) at kernel/qsignalmapper.cpp:266
#17 0x00007ff97ac3bef0 in QSignalMapper::qt_metacall (this=0x55a2338, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc9c1e770) at .moc/release-shared/moc_qsignalmapper.cpp:81
#18 0x00007ff97ac37df2 in QMetaObject::activate (sender=0x55a39b0, from_signal_index=<value optimized out>, to_signal_index=30, argv=0x27e7b0) at kernel/qobject.cpp:3112
#19 0x00007ff97a6ae037 in QAbstractButton::clicked (this=0x55c9480, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:200
#20 0x00007ff97a40d30b in QAbstractButtonPrivate::emitClicked (this=0x5586600) at widgets/qabstractbutton.cpp:543
#21 0x00007ff97a40ef1b in QAbstractButtonPrivate::click (this=0x5586600) at widgets/qabstractbutton.cpp:536
#22 0x00007ff97a40f175 in QAbstractButton::mouseReleaseEvent (this=0x55a39b0, e=0x7fffc9c1f1b0) at widgets/qabstractbutton.cpp:1115
#23 0x00007ff97a0ec37f in QWidget::event (this=0x55a39b0, event=0x7fffc9c1f1b0) at kernel/qwidget.cpp:7554
#24 0x00007ff97a09c01d in QApplicationPrivate::notify_helper (this=0x250d3d0, receiver=0x55a39b0, e=0x7fffc9c1f1b0) at kernel/qapplication.cpp:4065
#25 0x00007ff97a0a47ca in QApplication::notify (this=<value optimized out>, receiver=0x55a39b0, e=0x7fffc9c1f1b0) at kernel/qapplication.cpp:3767
#26 0x00007ff97b9245aa in App::notify (this=0x55c9480, receiver=0x0, event=0x0) at ../../src/App.cpp:845
#27 0x00007ff97ac22c9c in QCoreApplication::notifyInternal (this=0x7fffc9c20f20, receiver=0x55a39b0, event=0x7fffc9c1f1b0) at kernel/qcoreapplication.cpp:610
#28 0x00007ff97a0a3a78 in QCoreApplication::sendSpontaneousEvent (receiver=0x55a39b0, event=0x7fffc9c1f1b0, alienWidget=0x55a39b0, nativeWidget=0x559f7c0, buttonDown=<value optimized out>, 
    lastMouseReceiver=...) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#29 QApplicationPrivate::sendMouseEvent (receiver=0x55a39b0, event=0x7fffc9c1f1b0, alienWidget=0x55a39b0, nativeWidget=0x559f7c0, buttonDown=<value optimized out>, lastMouseReceiver=...)
    at kernel/qapplication.cpp:2924
#30 0x00007ff97a10c659 in QETWidget::translateMouseEvent (this=0x559f7c0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4411
#31 0x00007ff97a10b40f in QApplication::x11ProcessEvent (this=0x7fffc9c20f20, event=0x7fffc9c20b80) at kernel/qapplication_x11.cpp:3552
#32 0x00007ff97a13376c in x11EventSourceDispatch (s=0x2507030, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#33 0x00007ff972d8190e in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#34 0x00007ff972d852c8 in ?? () from /lib/libglib-2.0.so.0
#35 0x00007ff972d853f0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#36 0x00007ff97ac4b39c in QEventDispatcherGlib::processEvents (this=0x23dc580, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#37 0x00007ff97a132f1f in QGuiEventDispatcherGlib::processEvents (this=0x55c9480, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#38 0x00007ff97ac21562 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#39 0x00007ff97ac21934 in QEventLoop::exec (this=0x7fffc9c20eb0, flags=...) at kernel/qeventloop.cpp:201
#40 0x00007ff97ac23ba4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#41 0x000000000040a1f4 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:235
The current source language is "auto; currently c".

Reported using DrKonqi
Comment 1 Mark Kretschmann 2010-03-14 12:52:32 UTC
commit ccbc1343545cb93acb4e3cfb02fc4bc2a4af4960
Author: Mark Kretschmann <kretschmann@kde.org>
Date:   Sun Mar 14 12:47:42 2010 +0100

    Try to fix an obscure crash in the config dialog code.
    
    I'm not really sure how this crash could happen in the first place,
    and neither can I reproduce it. However, the problem seems to be a
    dangling pointer, so our SmartPointerList should cure that.
    
    BUG: 229243

diff --git a/src/configdialog/ConfigDialog.h b/src/configdialog/ConfigDialog.h
index f1a88f9..ea72e7a 100644
--- a/src/configdialog/ConfigDialog.h
+++ b/src/configdialog/ConfigDialog.h
@@ -21,6 +21,8 @@
 
 #include <kconfigdialog.h>
 
+#include "SmartPointerList.h"
+
 
 class Amarok2ConfigDialog : public KConfigDialog
 {
@@ -56,7 +58,7 @@ class Amarok2ConfigDialog : public KConfigDialog
         bool isDefault();
 
     private:
-        QList<ConfigDialogBase*> m_pageList;
+        SmartPointerList<ConfigDialogBase> m_pageList;
         QMap<ConfigDialogBase*, KPageWidgetItem*> m_pageMap;
 
         static QString s_currentPage;
Comment 2 Myriam Schweingruber 2010-03-23 21:47:25 UTC
Sorry, but it is not fixed, I had the exact same crash with a fresh install in current git build a few minutes ago. Current head is at 352cb0e:

Thread 1 (Thread 0x7f2dd5948820 (LWP 669)):
[KCrash Handler]
#5  0x00007f2dd474d1c0 in Amarok2ConfigDialog::updateSettings (this=0x2e124b0) at /home/myriam/kde/src/amarok/src/configdialog/ConfigDialog.cpp:136
#6  0x00007f2dd52c0101 in KConfigDialog::qt_metacall (this=0x2e124b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbab43f30) at ./kconfigdialog.moc:91
#7  0x00007f2dd474d7ef in Amarok2ConfigDialog::qt_metacall (this=0x2e124b0, _c=QMetaObject::InvokeMetaMethod, _id=77, _a=0x7fffbab43f30) at /home/myriam/kde/build/amarok/src/ConfigDialog.moc:73
#8  0x00007f2dd30e7dcf in QMetaObject::activate (sender=0x2e124b0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3293
#9  0x00007f2dd52d135a in KDialog::slotButtonClicked (this=0x2e124b0, button=8) at ../../kdeui/dialogs/kdialog.cpp:866
#10 0x00007f2dd52d32e9 in KDialog::qt_metacall (this=0x2e124b0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbab44190) at ./kdialog.moc:190
#11 0x00007f2dd539a790 in KPageDialog::qt_metacall (this=0x32866b0, _c=3132374496, _id=52979376, _a=0x1) at ./kpagedialog.moc:70
#12 0x00007f2dd52c0040 in KConfigDialog::qt_metacall (this=0x32866b0, _c=3132374496, _id=52979376, _a=0x1) at ./kconfigdialog.moc:84
#13 0x00007f2dd474d7ef in Amarok2ConfigDialog::qt_metacall (this=0x2e124b0, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0x7fffbab44190) at /home/myriam/kde/build/amarok/src/ConfigDialog.moc:73
#14 0x00007f2dd30e7dcf in QMetaObject::activate (sender=0x32fab98, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3293
#15 0x00007f2dd30ed0ee in QSignalMapper::mapped (this=0x32866b0, _t1=8) at .moc/release-shared/moc_qsignalmapper.cpp:101
#16 0x00007f2dd30ee302 in QSignalMapper::map (this=0x32fab98, sender=0x3114810) at kernel/qsignalmapper.cpp:266
#17 0x00007f2dd30ee580 in QSignalMapper::qt_metacall (this=0x32fab98, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbab44320) at .moc/release-shared/moc_qsignalmapper.cpp:87
#18 0x00007f2dd30e7dcf in QMetaObject::activate (sender=0x3114810, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3293
#19 0x00007f2dd40e9542 in QAbstractButton::clicked (this=0x32866b0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#20 0x00007f2dd3e037db in QAbstractButtonPrivate::emitClicked (this=0x50d71c0) at widgets/qabstractbutton.cpp:546
#21 0x00007f2dd3e0467b in QAbstractButtonPrivate::click (this=0x50d71c0) at widgets/qabstractbutton.cpp:539
#22 0x00007f2dd3e048ec in QAbstractButton::mouseReleaseEvent (this=0x3114810, e=0x7fffbab44c70) at widgets/qabstractbutton.cpp:1121
#23 0x00007f2dd3aa4592 in QWidget::event (this=0x3114810, event=0x7fffbab44c70) at kernel/qwidget.cpp:7998
#24 0x00007f2dd3a4e22c in QApplicationPrivate::notify_helper (this=0x23065c0, receiver=0x3114810, e=0x7fffbab44c70) at kernel/qapplication.cpp:4300
#25 0x00007f2dd3a54edb in QApplication::notify (this=0x7fffbab45920, receiver=0x3114810, e=0x7fffbab44c70) at kernel/qapplication.cpp:3865
#26 0x00007f2dd4af2e62 in App::notify (this=0x7fffbab45920, receiver=0x3114810, event=0x7fffbab44c70) at /home/myriam/kde/src/amarok/src/App.cpp:927
#27 0x00007f2dd30d4ffc in QCoreApplication::notifyInternal (this=0x7fffbab45920, receiver=0x3114810, event=0x7fffbab44c70) at kernel/qcoreapplication.cpp:704
#28 0x00007f2dd3a540ae in QCoreApplication::sendEvent (receiver=0x3114810, event=0x7fffbab44c70, alienWidget=0x3114810, nativeWidget=0x31ab3e0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#29 QApplicationPrivate::sendMouseEvent (receiver=0x3114810, event=0x7fffbab44c70, alienWidget=0x3114810, nativeWidget=0x31ab3e0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2965
#30 0x00007f2dd3ad3f75 in QETWidget::translateMouseEvent (this=0x31ab3e0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#31 0x00007f2dd3ad28bc in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffbab45590) at kernel/qapplication_x11.cpp:3501
#32 0x00007f2dd3afe722 in x11EventSourceDispatch (s=0x2309bb0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#33 0x00007f2dcbc67432 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#34 0x00007f2dcbc6b2b8 in ?? () from /lib/libglib-2.0.so.0
#35 0x00007f2dcbc6b46c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#36 0x00007f2dd30fe4a3 in QEventDispatcherGlib::processEvents (this=0x21b31c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#37 0x00007f2dd3afe30e in QGuiEventDispatcherGlib::processEvents (this=0x32866b0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#38 0x00007f2dd30d3922 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#39 0x00007f2dd30d3cfc in QEventLoop::exec (this=0x7fffbab458c0, flags=) at kernel/qeventloop.cpp:201
#40 0x00007f2dd30d7a3b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#41 0x000000000040afb1 in main (argc=4, argv=0x7fffbab47878) at /home/myriam/kde/src/amarok/src/main.cpp:237
Comment 3 Mark Kretschmann 2010-03-24 09:54:43 UTC
commit 7a31ffcefdd5c85fc837daa4ea0823a300e5020f
Author: Mark Kretschmann <kretschmann@kde.org>
Date:   Wed Mar 24 09:50:15 2010 +0100

    Revert "Try to fix an obscure crash in the config dialog code."
    
    This reverts commit ccbc1343545cb93acb4e3cfb02fc4bc2a4af4960.
    
    Turns out that this patch was pointless and didn't fix anything.
    
    CCBUG: 229243

diff --git a/src/configdialog/ConfigDialog.h b/src/configdialog/ConfigDialog.h
index ea72e7a..f1a88f9 100644
--- a/src/configdialog/ConfigDialog.h
+++ b/src/configdialog/ConfigDialog.h
@@ -21,8 +21,6 @@
 
 #include <kconfigdialog.h>
 
-#include "SmartPointerList.h"
-
 
 class Amarok2ConfigDialog : public KConfigDialog
 {
@@ -58,7 +56,7 @@ class Amarok2ConfigDialog : public KConfigDialog
         bool isDefault();
 
     private:
-        SmartPointerList<ConfigDialogBase> m_pageList;
+        QList<ConfigDialogBase*> m_pageList;
         QMap<ConfigDialogBase*, KPageWidgetItem*> m_pageMap;
 
         static QString s_currentPage;
Comment 4 Mark Kretschmann 2010-03-24 10:18:28 UTC
This bug is possibly related to Bug 231398
Comment 5 Mark Kretschmann 2010-06-01 18:20:14 UTC
This issue was apparently a KDE bug, should be fixed with the latest KDE version :)
Comment 6 Mikko C. 2010-09-09 16:53:27 UTC
*** Bug 250666 has been marked as a duplicate of this bug. ***
Comment 7 Mikko C. 2010-09-09 16:55:19 UTC
(In reply to comment #5)
> This issue was apparently a KDE bug, should be fixed with the latest KDE
> version :)

Which version is that?
It happens with KDE 4.4.5
Comment 8 Myriam Schweingruber 2010-09-09 18:51:29 UTC
Reopening, as it is not clear when and by what this was fixed.
Comment 9 Myriam Schweingruber 2010-09-09 18:52:11 UTC
Last report was with Amarok 2.3.1 and KDE 4.4.5
Comment 10 Myriam Schweingruber 2010-11-16 19:50:16 UTC
*** Bug 256629 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2011-01-20 19:21:22 UTC
Any news on this? Please test with Amarok 2.4
Comment 12 Myriam Schweingruber 2011-01-22 12:23:04 UTC
*** Bug 244520 has been marked as a duplicate of this bug. ***
Comment 13 Myriam Schweingruber 2011-04-02 18:22:59 UTC
Closing for lack of feedback. This is likely already solved in Amarok 2.4. Feel free to reopen this report if you can reproduce this with Amarok 2.4 or later.